
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><%=daohan("BigClassName")%>产品展示_<%=TD_home%></title>
<meta name="keywords" content="<%=Yifan_BigClass_key%>" />
<meta name="description" content="<%=Yifan_BigClass_des%>" />
</head>
<!--#include file="css_js.html" -->
<body>
<!--#include file="top.html" -->
<div class="banner">
		<div class="bed">
		  <object width="469" height="175" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000">
            <param value="/skins/front/flash/preview1.swf" name="movie" />
            <param value="high" name="quality" />
            <param value="transparent" name="wmode" />
            <embed width="469" height="175" wmode="transparent" type="application/x-shockwave-flash" pluginspage="#" quality="high" src="/skins/front/flash/preview1.swf"> </embed>
	      </object>
		</div>
        <!-- banner begin -->
            <div class="indexBanner">
                  <p class="mask"></p>
                  <%=TD_Flash()%>
            </div>
        <!-- banner end -->
</div>
<div class="mian">
		
<div class="place">
	<div class="place_up">
		<a href="<%=TD_url%>"><%=TD_home%>首页</a><span><a href="/Products/?<%=daohan("BigClassID")%>-1.html"><%=daohan("BigClassName")%></a></span>
	</div>
	<div class="place_down">
		Products<span><%=daohan("BigClassName")%></span>
	</div>
</div>

<div class="tab_vision_title2">
    <ul> <%=TD_products_class%></ul>
</div>


        
        		<div class="products">
                	<dl>
 <%
BigClassID=ad
SmallClassID=b
if  not isnumeric(BigClassID)  or not isnumeric(SmallClassID) then
Response.Write "<script>alert('警告！请勿尝试注入！');history.go(-1);</script>" 
Response.End()
end if
set rs=server.createobject("adodb.recordset") 
if BigClassID="" then
exec="select * from products order by id desc"
end if
if BigClassID<>"" then
exec="select * from products where BigClassID="&BigClassID&" order by id desc"
end if
rs.open exec,conn,1,1
if rs.eof then
response.Write "&nbsp;暂无产品！"
else
rs.PageSize =""&TD_productsclass&"" '每页记录条数
iCount=rs.RecordCount '记录总数
iPageSize=rs.PageSize
maxpage=rs.PageCount 
page=b
if Not IsNumeric(page) or page="" then
page=1
else
page=cint(page)
end if
if page<1 then
page=1
elseif  page>maxpage then
page=maxpage
end if
rs.AbsolutePage=Page
if page=maxpage then
x=iCount-(maxpage-1)*iPageSize
else
x=iPageSize
end if
end if	
%>
<%For i=1 To x%> 
<dd>
	                            <p><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><img src="<%=rs("img")%>" alt="<%=rs("title")%>" height="115" width="230" /></a></p>
	                            <span><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><%=i5808(rs("title"),20)%></a></span>
                                <strong><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>">Detail</a></strong>
                            </dd>
           <%rs.movenext
next
%> 	
                    </dl>
       				   <div class="pageall">
            <%'以下显示分页
 call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing
%>
            </div>
     
                </div>
</div>


 <!--#include file="foot.html" -->
</body>
</html>
